package cn.ibizlab.businesscentral.core.odoo_account.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_account.domain.Account_financial_year_op;
import cn.ibizlab.businesscentral.core.odoo_account.filter.Account_financial_year_opSearchContext;


/**
 * 实体[Account_financial_year_op] 服务对象接口
 */
public interface IAccount_financial_year_opService{

    boolean create(Account_financial_year_op et) ;
    void createBatch(List<Account_financial_year_op> list) ;
    boolean update(Account_financial_year_op et) ;
    void updateBatch(List<Account_financial_year_op> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Account_financial_year_op get(Long key) ;
    Page<Account_financial_year_op> searchDefault(Account_financial_year_opSearchContext context) ;

}



