package cn.ibizlab.businesscentral.core.odoo_account.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_account.domain.Account_payment;
import cn.ibizlab.businesscentral.core.odoo_account.filter.Account_paymentSearchContext;


/**
 * 实体[Account_payment] 服务对象接口
 */
public interface IAccount_paymentService{

    boolean create(Account_payment et) ;
    void createBatch(List<Account_payment> list) ;
    boolean update(Account_payment et) ;
    void updateBatch(List<Account_payment> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Account_payment get(Long key) ;
    Page<Account_payment> searchDefault(Account_paymentSearchContext context) ;

}



