package cn.ibizlab.businesscentral.core.odoo_account.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_account.domain.Account_unreconcile;
import cn.ibizlab.businesscentral.core.odoo_account.filter.Account_unreconcileSearchContext;


/**
 * 实体[Account_unreconcile] 服务对象接口
 */
public interface IAccount_unreconcileService{

    boolean create(Account_unreconcile et) ;
    void createBatch(List<Account_unreconcile> list) ;
    boolean update(Account_unreconcile et) ;
    void updateBatch(List<Account_unreconcile> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Account_unreconcile get(Long key) ;
    Page<Account_unreconcile> searchDefault(Account_unreconcileSearchContext context) ;

}



