package cn.ibizlab.businesscentral.core.odoo_base.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_base.domain.Res_config_settings;
import cn.ibizlab.businesscentral.core.odoo_base.filter.Res_config_settingsSearchContext;


/**
 * 实体[Res_config_settings] 服务对象接口
 */
public interface IRes_config_settingsService{

    boolean create(Res_config_settings et) ;
    void createBatch(List<Res_config_settings> list) ;
    boolean update(Res_config_settings et) ;
    void updateBatch(List<Res_config_settings> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Res_config_settings get(Long key) ;
    Page<Res_config_settings> searchDefault(Res_config_settingsSearchContext context) ;

}



