package cn.ibizlab.businesscentral.core.odoo_base.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_base.domain.Res_partner;
import cn.ibizlab.businesscentral.core.odoo_base.filter.Res_partnerSearchContext;


/**
 * 实体[Res_partner] 服务对象接口
 */
public interface IRes_partnerService{

    boolean create(Res_partner et) ;
    void createBatch(List<Res_partner> list) ;
    boolean update(Res_partner et) ;
    void updateBatch(List<Res_partner> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Res_partner get(Long key) ;
    Page<Res_partner> searchDefault(Res_partnerSearchContext context) ;

}



