package cn.ibizlab.businesscentral.core.odoo_board.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_board.domain.Board_board;
import cn.ibizlab.businesscentral.core.odoo_board.filter.Board_boardSearchContext;


/**
 * 实体[Board_board] 服务对象接口
 */
public interface IBoard_boardService{

    boolean create(Board_board et) ;
    void createBatch(List<Board_board> list) ;
    boolean update(Board_board et) ;
    void updateBatch(List<Board_board> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Board_board get(Long key) ;
    Page<Board_board> searchDefault(Board_boardSearchContext context) ;

}



