package cn.ibizlab.businesscentral.core.odoo_fleet.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_fleet.domain.Fleet_service_type;
import cn.ibizlab.businesscentral.core.odoo_fleet.filter.Fleet_service_typeSearchContext;


/**
 * 实体[Fleet_service_type] 服务对象接口
 */
public interface IFleet_service_typeService{

    boolean create(Fleet_service_type et) ;
    void createBatch(List<Fleet_service_type> list) ;
    boolean update(Fleet_service_type et) ;
    void updateBatch(List<Fleet_service_type> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Fleet_service_type get(Long key) ;
    Page<Fleet_service_type> searchDefault(Fleet_service_typeSearchContext context) ;

}



