package cn.ibizlab.businesscentral.core.odoo_mail.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_mail.domain.Mail_notification;
import cn.ibizlab.businesscentral.core.odoo_mail.filter.Mail_notificationSearchContext;


/**
 * 实体[Mail_notification] 服务对象接口
 */
public interface IMail_notificationService{

    boolean create(Mail_notification et) ;
    void createBatch(List<Mail_notification> list) ;
    boolean update(Mail_notification et) ;
    void updateBatch(List<Mail_notification> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Mail_notification get(Long key) ;
    Page<Mail_notification> searchDefault(Mail_notificationSearchContext context) ;

}



