package cn.ibizlab.businesscentral.core.odoo_product.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_product.domain.Product_pricelist;
import cn.ibizlab.businesscentral.core.odoo_product.filter.Product_pricelistSearchContext;


/**
 * 实体[Product_pricelist] 服务对象接口
 */
public interface IProduct_pricelistService{

    boolean create(Product_pricelist et) ;
    void createBatch(List<Product_pricelist> list) ;
    boolean update(Product_pricelist et) ;
    void updateBatch(List<Product_pricelist> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Product_pricelist get(Long key) ;
    Page<Product_pricelist> searchDefault(Product_pricelistSearchContext context) ;

}



