package cn.ibizlab.businesscentral.core.odoo_project.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_project.domain.Project_project;
import cn.ibizlab.businesscentral.core.odoo_project.filter.Project_projectSearchContext;


/**
 * 实体[Project_project] 服务对象接口
 */
public interface IProject_projectService{

    boolean create(Project_project et) ;
    void createBatch(List<Project_project> list) ;
    boolean update(Project_project et) ;
    void updateBatch(List<Project_project> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Project_project get(Long key) ;
    Page<Project_project> searchDefault(Project_projectSearchContext context) ;

}



