package cn.ibizlab.businesscentral.core.odoo_project.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_project.domain.Project_tags;
import cn.ibizlab.businesscentral.core.odoo_project.filter.Project_tagsSearchContext;


/**
 * 实体[Project_tags] 服务对象接口
 */
public interface IProject_tagsService{

    boolean create(Project_tags et) ;
    void createBatch(List<Project_tags> list) ;
    boolean update(Project_tags et) ;
    void updateBatch(List<Project_tags> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Project_tags get(Long key) ;
    Page<Project_tags> searchDefault(Project_tagsSearchContext context) ;

}



