package cn.ibizlab.businesscentral.core.odoo_purchase.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_purchase.domain.Purchase_bill_union;
import cn.ibizlab.businesscentral.core.odoo_purchase.filter.Purchase_bill_unionSearchContext;


/**
 * 实体[Purchase_bill_union] 服务对象接口
 */
public interface IPurchase_bill_unionService{

    boolean create(Purchase_bill_union et) ;
    void createBatch(List<Purchase_bill_union> list) ;
    boolean update(Purchase_bill_union et) ;
    void updateBatch(List<Purchase_bill_union> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Purchase_bill_union get(Long key) ;
    Page<Purchase_bill_union> searchDefault(Purchase_bill_unionSearchContext context) ;

}



