package cn.ibizlab.businesscentral.core.odoo_repair.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_repair.domain.Repair_order_make_invoice;
import cn.ibizlab.businesscentral.core.odoo_repair.filter.Repair_order_make_invoiceSearchContext;


/**
 * 实体[Repair_order_make_invoice] 服务对象接口
 */
public interface IRepair_order_make_invoiceService{

    boolean create(Repair_order_make_invoice et) ;
    void createBatch(List<Repair_order_make_invoice> list) ;
    boolean update(Repair_order_make_invoice et) ;
    void updateBatch(List<Repair_order_make_invoice> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Repair_order_make_invoice get(Long key) ;
    Page<Repair_order_make_invoice> searchDefault(Repair_order_make_invoiceSearchContext context) ;

}



