package cn.ibizlab.businesscentral.core.odoo_snailmail.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_snailmail.domain.Snailmail_letter;
import cn.ibizlab.businesscentral.core.odoo_snailmail.filter.Snailmail_letterSearchContext;


/**
 * 实体[Snailmail_letter] 服务对象接口
 */
public interface ISnailmail_letterService{

    boolean create(Snailmail_letter et) ;
    void createBatch(List<Snailmail_letter> list) ;
    boolean update(Snailmail_letter et) ;
    void updateBatch(List<Snailmail_letter> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Snailmail_letter get(Long key) ;
    Page<Snailmail_letter> searchDefault(Snailmail_letterSearchContext context) ;

}



