package cn.ibizlab.businesscentral.core.odoo_survey.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_survey.domain.Survey_mail_compose_message;
import cn.ibizlab.businesscentral.core.odoo_survey.filter.Survey_mail_compose_messageSearchContext;


/**
 * 实体[Survey_mail_compose_message] 服务对象接口
 */
public interface ISurvey_mail_compose_messageService{

    boolean create(Survey_mail_compose_message et) ;
    void createBatch(List<Survey_mail_compose_message> list) ;
    boolean update(Survey_mail_compose_message et) ;
    void updateBatch(List<Survey_mail_compose_message> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Survey_mail_compose_message get(Long key) ;
    Page<Survey_mail_compose_message> searchDefault(Survey_mail_compose_messageSearchContext context) ;

}



