package cn.ibizlab.businesscentral.core.odoo_survey.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_survey.domain.Survey_user_input_line;
import cn.ibizlab.businesscentral.core.odoo_survey.filter.Survey_user_input_lineSearchContext;


/**
 * 实体[Survey_user_input_line] 服务对象接口
 */
public interface ISurvey_user_input_lineService{

    boolean create(Survey_user_input_line et) ;
    void createBatch(List<Survey_user_input_line> list) ;
    boolean update(Survey_user_input_line et) ;
    void updateBatch(List<Survey_user_input_line> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Survey_user_input_line get(Long key) ;
    Page<Survey_user_input_line> searchDefault(Survey_user_input_lineSearchContext context) ;

}



