package cn.ibizlab.businesscentral.core.odoo_website.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_website.domain.Website_page;
import cn.ibizlab.businesscentral.core.odoo_website.filter.Website_pageSearchContext;


/**
 * 实体[Website_page] 服务对象接口
 */
public interface IWebsite_pageService{

    boolean create(Website_page et) ;
    void createBatch(List<Website_page> list) ;
    boolean update(Website_page et) ;
    void updateBatch(List<Website_page> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Website_page get(Long key) ;
    Page<Website_page> searchDefault(Website_pageSearchContext context) ;

}



