package cn.ibizlab.businesscentral.core.odoo_website.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_website.domain.Website_sale_payment_acquirer_onboarding_wizard;
import cn.ibizlab.businesscentral.core.odoo_website.filter.Website_sale_payment_acquirer_onboarding_wizardSearchContext;


/**
 * 实体[Website_sale_payment_acquirer_onboarding_wizard] 服务对象接口
 */
public interface IWebsite_sale_payment_acquirer_onboarding_wizardService{

    boolean create(Website_sale_payment_acquirer_onboarding_wizard et) ;
    void createBatch(List<Website_sale_payment_acquirer_onboarding_wizard> list) ;
    boolean update(Website_sale_payment_acquirer_onboarding_wizard et) ;
    void updateBatch(List<Website_sale_payment_acquirer_onboarding_wizard> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Website_sale_payment_acquirer_onboarding_wizard get(Long key) ;
    Page<Website_sale_payment_acquirer_onboarding_wizard> searchDefault(Website_sale_payment_acquirer_onboarding_wizardSearchContext context) ;

}



