package cn.ibizlab.businesscentral.core.odoo_account.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_account.domain.Account_account_tag;
import cn.ibizlab.businesscentral.core.odoo_account.filter.Account_account_tagSearchContext;


/**
 * 实体[Account_account_tag] 服务对象接口
 */
public interface IAccount_account_tagService{

    boolean create(Account_account_tag et) ;
    void createBatch(List<Account_account_tag> list) ;
    boolean update(Account_account_tag et) ;
    void updateBatch(List<Account_account_tag> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Account_account_tag get(Long key) ;
    Page<Account_account_tag> searchDefault(Account_account_tagSearchContext context) ;

}



