package cn.ibizlab.businesscentral.core.odoo_account.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_account.domain.Account_bank_statement;
import cn.ibizlab.businesscentral.core.odoo_account.filter.Account_bank_statementSearchContext;


/**
 * 实体[Account_bank_statement] 服务对象接口
 */
public interface IAccount_bank_statementService{

    boolean create(Account_bank_statement et) ;
    void createBatch(List<Account_bank_statement> list) ;
    boolean update(Account_bank_statement et) ;
    void updateBatch(List<Account_bank_statement> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Account_bank_statement get(Long key) ;
    Page<Account_bank_statement> searchDefault(Account_bank_statementSearchContext context) ;

}



