package cn.ibizlab.businesscentral.core.odoo_account.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_account.domain.Account_print_journal;
import cn.ibizlab.businesscentral.core.odoo_account.filter.Account_print_journalSearchContext;


/**
 * 实体[Account_print_journal] 服务对象接口
 */
public interface IAccount_print_journalService{

    boolean create(Account_print_journal et) ;
    void createBatch(List<Account_print_journal> list) ;
    boolean update(Account_print_journal et) ;
    void updateBatch(List<Account_print_journal> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Account_print_journal get(Long key) ;
    Page<Account_print_journal> searchDefault(Account_print_journalSearchContext context) ;

}



