package cn.ibizlab.businesscentral.core.odoo_account.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_account.domain.Account_reconciliation_widget;
import cn.ibizlab.businesscentral.core.odoo_account.filter.Account_reconciliation_widgetSearchContext;


/**
 * 实体[Account_reconciliation_widget] 服务对象接口
 */
public interface IAccount_reconciliation_widgetService{

    boolean create(Account_reconciliation_widget et) ;
    void createBatch(List<Account_reconciliation_widget> list) ;
    boolean update(Account_reconciliation_widget et) ;
    void updateBatch(List<Account_reconciliation_widget> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Account_reconciliation_widget get(Long key) ;
    Page<Account_reconciliation_widget> searchDefault(Account_reconciliation_widgetSearchContext context) ;

}



