package cn.ibizlab.businesscentral.core.odoo_asset.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_asset.domain.Asset_state;
import cn.ibizlab.businesscentral.core.odoo_asset.filter.Asset_stateSearchContext;


/**
 * 实体[Asset_state] 服务对象接口
 */
public interface IAsset_stateService{

    boolean create(Asset_state et) ;
    void createBatch(List<Asset_state> list) ;
    boolean update(Asset_state et) ;
    void updateBatch(List<Asset_state> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Asset_state get(Long key) ;
    Page<Asset_state> searchDefault(Asset_stateSearchContext context) ;

}



