package cn.ibizlab.businesscentral.core.odoo_base.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_base.domain.Base_automation_line_test;
import cn.ibizlab.businesscentral.core.odoo_base.filter.Base_automation_line_testSearchContext;


/**
 * 实体[Base_automation_line_test] 服务对象接口
 */
public interface IBase_automation_line_testService{

    boolean create(Base_automation_line_test et) ;
    void createBatch(List<Base_automation_line_test> list) ;
    boolean update(Base_automation_line_test et) ;
    void updateBatch(List<Base_automation_line_test> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Base_automation_line_test get(Long key) ;
    Page<Base_automation_line_test> searchDefault(Base_automation_line_testSearchContext context) ;

}



