package cn.ibizlab.businesscentral.core.odoo_base.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_base.domain.Res_country_group;
import cn.ibizlab.businesscentral.core.odoo_base.filter.Res_country_groupSearchContext;


/**
 * 实体[Res_country_group] 服务对象接口
 */
public interface IRes_country_groupService{

    boolean create(Res_country_group et) ;
    void createBatch(List<Res_country_group> list) ;
    boolean update(Res_country_group et) ;
    void updateBatch(List<Res_country_group> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Res_country_group get(Long key) ;
    Page<Res_country_group> searchDefault(Res_country_groupSearchContext context) ;

}



