package cn.ibizlab.businesscentral.core.odoo_base.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_base.domain.Res_currency_rate;
import cn.ibizlab.businesscentral.core.odoo_base.filter.Res_currency_rateSearchContext;


/**
 * 实体[Res_currency_rate] 服务对象接口
 */
public interface IRes_currency_rateService{

    boolean create(Res_currency_rate et) ;
    void createBatch(List<Res_currency_rate> list) ;
    boolean update(Res_currency_rate et) ;
    void updateBatch(List<Res_currency_rate> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Res_currency_rate get(Long key) ;
    Page<Res_currency_rate> searchDefault(Res_currency_rateSearchContext context) ;

}



