package cn.ibizlab.businesscentral.core.odoo_bus.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_bus.domain.Bus_bus;
import cn.ibizlab.businesscentral.core.odoo_bus.filter.Bus_busSearchContext;


/**
 * 实体[Bus_bus] 服务对象接口
 */
public interface IBus_busService{

    boolean create(Bus_bus et) ;
    void createBatch(List<Bus_bus> list) ;
    boolean update(Bus_bus et) ;
    void updateBatch(List<Bus_bus> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Bus_bus get(Long key) ;
    Page<Bus_bus> searchDefault(Bus_busSearchContext context) ;

}



