package cn.ibizlab.businesscentral.core.odoo_calendar.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_calendar.domain.Calendar_contacts;
import cn.ibizlab.businesscentral.core.odoo_calendar.filter.Calendar_contactsSearchContext;


/**
 * 实体[Calendar_contacts] 服务对象接口
 */
public interface ICalendar_contactsService{

    boolean create(Calendar_contacts et) ;
    void createBatch(List<Calendar_contacts> list) ;
    boolean update(Calendar_contacts et) ;
    void updateBatch(List<Calendar_contacts> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Calendar_contacts get(Long key) ;
    Page<Calendar_contacts> searchDefault(Calendar_contactsSearchContext context) ;

}



