package cn.ibizlab.businesscentral.core.odoo_digest.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_digest.domain.Digest_tip;
import cn.ibizlab.businesscentral.core.odoo_digest.filter.Digest_tipSearchContext;


/**
 * 实体[Digest_tip] 服务对象接口
 */
public interface IDigest_tipService{

    boolean create(Digest_tip et) ;
    void createBatch(List<Digest_tip> list) ;
    boolean update(Digest_tip et) ;
    void updateBatch(List<Digest_tip> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Digest_tip get(Long key) ;
    Page<Digest_tip> searchDefault(Digest_tipSearchContext context) ;

}



