package cn.ibizlab.businesscentral.core.odoo_fleet.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_fleet.domain.Fleet_vehicle_assignation_log;
import cn.ibizlab.businesscentral.core.odoo_fleet.filter.Fleet_vehicle_assignation_logSearchContext;


/**
 * 实体[Fleet_vehicle_assignation_log] 服务对象接口
 */
public interface IFleet_vehicle_assignation_logService{

    boolean create(Fleet_vehicle_assignation_log et) ;
    void createBatch(List<Fleet_vehicle_assignation_log> list) ;
    boolean update(Fleet_vehicle_assignation_log et) ;
    void updateBatch(List<Fleet_vehicle_assignation_log> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Fleet_vehicle_assignation_log get(Long key) ;
    Page<Fleet_vehicle_assignation_log> searchDefault(Fleet_vehicle_assignation_logSearchContext context) ;

}



