package cn.ibizlab.businesscentral.core.odoo_lunch.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_lunch.domain.Lunch_product;
import cn.ibizlab.businesscentral.core.odoo_lunch.filter.Lunch_productSearchContext;


/**
 * 实体[Lunch_product] 服务对象接口
 */
public interface ILunch_productService{

    boolean create(Lunch_product et) ;
    void createBatch(List<Lunch_product> list) ;
    boolean update(Lunch_product et) ;
    void updateBatch(List<Lunch_product> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Lunch_product get(Long key) ;
    Page<Lunch_product> searchDefault(Lunch_productSearchContext context) ;

}



