package cn.ibizlab.businesscentral.core.odoo_mro.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_mro.domain.Mro_workorder;
import cn.ibizlab.businesscentral.core.odoo_mro.filter.Mro_workorderSearchContext;


/**
 * 实体[Mro_workorder] 服务对象接口
 */
public interface IMro_workorderService{

    boolean create(Mro_workorder et) ;
    void createBatch(List<Mro_workorder> list) ;
    boolean update(Mro_workorder et) ;
    void updateBatch(List<Mro_workorder> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Mro_workorder get(Long key) ;
    Page<Mro_workorder> searchDefault(Mro_workorderSearchContext context) ;

}



