package cn.ibizlab.businesscentral.core.odoo_note.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_note.domain.Note_stage;
import cn.ibizlab.businesscentral.core.odoo_note.filter.Note_stageSearchContext;


/**
 * 实体[Note_stage] 服务对象接口
 */
public interface INote_stageService{

    boolean create(Note_stage et) ;
    void createBatch(List<Note_stage> list) ;
    boolean update(Note_stage et) ;
    void updateBatch(List<Note_stage> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Note_stage get(Long key) ;
    Page<Note_stage> searchDefault(Note_stageSearchContext context) ;

}



