package cn.ibizlab.businesscentral.core.odoo_payment.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_payment.domain.Payment_acquirer;
import cn.ibizlab.businesscentral.core.odoo_payment.filter.Payment_acquirerSearchContext;


/**
 * 实体[Payment_acquirer] 服务对象接口
 */
public interface IPayment_acquirerService{

    boolean create(Payment_acquirer et) ;
    void createBatch(List<Payment_acquirer> list) ;
    boolean update(Payment_acquirer et) ;
    void updateBatch(List<Payment_acquirer> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Payment_acquirer get(Long key) ;
    Page<Payment_acquirer> searchDefault(Payment_acquirerSearchContext context) ;

}



