package cn.ibizlab.businesscentral.core.odoo_rating.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_rating.domain.Rating_mixin;
import cn.ibizlab.businesscentral.core.odoo_rating.filter.Rating_mixinSearchContext;


/**
 * 实体[Rating_mixin] 服务对象接口
 */
public interface IRating_mixinService{

    boolean create(Rating_mixin et) ;
    void createBatch(List<Rating_mixin> list) ;
    boolean update(Rating_mixin et) ;
    void updateBatch(List<Rating_mixin> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Rating_mixin get(Long key) ;
    Page<Rating_mixin> searchDefault(Rating_mixinSearchContext context) ;

}



