package cn.ibizlab.businesscentral.core.odoo_stock.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_stock.domain.Stock_inventory;
import cn.ibizlab.businesscentral.core.odoo_stock.filter.Stock_inventorySearchContext;


/**
 * 实体[Stock_inventory] 服务对象接口
 */
public interface IStock_inventoryService{

    boolean create(Stock_inventory et) ;
    void createBatch(List<Stock_inventory> list) ;
    boolean update(Stock_inventory et) ;
    void updateBatch(List<Stock_inventory> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Stock_inventory get(Long key) ;
    Page<Stock_inventory> searchDefault(Stock_inventorySearchContext context) ;

}



