package cn.ibizlab.businesscentral.core.odoo_stock.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_stock.domain.Stock_scheduler_compute;
import cn.ibizlab.businesscentral.core.odoo_stock.filter.Stock_scheduler_computeSearchContext;


/**
 * 实体[Stock_scheduler_compute] 服务对象接口
 */
public interface IStock_scheduler_computeService{

    boolean create(Stock_scheduler_compute et) ;
    void createBatch(List<Stock_scheduler_compute> list) ;
    boolean update(Stock_scheduler_compute et) ;
    void updateBatch(List<Stock_scheduler_compute> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Stock_scheduler_compute get(Long key) ;
    Page<Stock_scheduler_compute> searchDefault(Stock_scheduler_computeSearchContext context) ;

}



